View Issue Details

IDProjectCategoryView StatusLast Update
0004328unrealircdpublic2014-09-07 22:19
ReporterTuSaiChiAssigned Tosyzop 
PriorityhighSeverityblockReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformLinuxOSUbuntu ServerOS Version12.10
Product Version3.4-alpha1 
Target VersionFixed in Version3.4-alpha2 
Summary0004328: Segmentation fault (core dumped)
DescriptionI installed and compiled unreal, with the .conf taken from the same version in the folder doc / example.conf.
At boot time I get the following error:
Segmentation fault (core dumped)
Possible error Encountered (IRCd seemingly not started)

The daemon does not start, how can I fix it?
Steps To ReproduceStarting UnrealIRCd
_ _ _ ___________ _____ _
| | | | | |_ _| ___ \/ __ \ | |
| | | |_ __ _ __ ___ __ _| | | | | |_/ /| / \/ __| |
| | | | '_ \| '__/ _ \/ _` | | | | | / | | / _` |
| |_| | | | | | | __/ (_| | |_| |_| |\ \ | \__/\ (_| |
\___/|_| |_|_| \___|\__,_|_|\___/\_| \_| \____/\__,_|
v3.4-alpha1
using TRE 0.8.0 (BSD)
using OpenSSL 1.0.1c 10 May 2012

* Loading IRCd configuration ..
* Configuration loaded without any problems ..
* Initializing SSL.
* Dynamic configuration initialized .. booting IRCd.
---------------------------------------------------------------------
Segmentation fault (core dumped)
Possible error encountered (IRCd seemingly not started)
=====================================================
Check above for possible errors, and this output of
ircd.log. If you cannot solve the problem, read
Unreal.nfo on where to get support
=====================================================
[Sat Aug 23 11:07:02 2014] - Configuration loaded without any problems ..
[Sat Aug 23 11:10:24 2014] - Configuration loaded without any problems ..
[Sat Aug 23 11:14:14 2014] - Configuration loaded without any problems ..
[Sat Aug 23 11:14:48 2014] - Configuration loaded without any problems ..
[Sat Aug 23 11:16:25 2014] - Configuration loaded without any problems ..
devel@atena:~/Unreal3.4-alpha1$
TagsNo tags attached.
3rd party modules

Activities

syzop

2014-08-23 17:27

administrator   ~0018238

Hi,

Just to be sure: you do understand you are trying an alpha version of UnrealIRCd, right? If you want a stable version of UnrealIRCd you should download use 3.2.x instead from www.unrealircd.com :)

You could check if the latest 3.4.x development version helps:
https://github.com/unrealircd/unrealircd/archive/unreal34.zip
There were a few crash bugs fixed in there, especially crashes on boot.

tmcarthur

2014-08-24 18:54

developer   ~0018240

If you still get failure after following above instructions, please upload a core dump and we can dig into it :).

Thanks!

syzop

2014-09-07 22:19

administrator   ~0018241

We assume this issue is fixed in our current development version (see our two previous posts). If this is not the case then feel free to re-open!

Issue History

Date Modified Username Field Change
2014-08-23 11:30 TuSaiChi New Issue
2014-08-23 17:27 syzop Note Added: 0018238
2014-08-24 18:54 tmcarthur Note Added: 0018240
2014-09-07 22:19 syzop Note Added: 0018241
2014-09-07 22:19 syzop Status new => resolved
2014-09-07 22:19 syzop Fixed in Version => 3.4-alpha2
2014-09-07 22:19 syzop Resolution open => fixed
2014-09-07 22:19 syzop Assigned To => syzop